libyang REFACTOR config.h code split

... into compat.h and version.h.
diff --git a/tests/style/check_includes.sh b/tests/style/check_includes.sh
index 530edfd..29dd0c9 100755
--- a/tests/style/check_includes.sh
+++ b/tests/style/check_includes.sh
@@ -17,6 +17,17 @@
 	done
 }
 
+function check_compat_macro {
+	FILES=`grep -rE "([^[:alnum:]]|^)$1([^[:alnum:]]|$)" --include=\*.{c,h} $SRC | cut -d: -f1 | uniq`
+	for f in $FILES; do
+		grep -q "#include \"compat.h\"" $f
+		if [ $? -ne 0 ]; then
+			echo "Missing #include \"compat.h\" in file $f for macro $1"
+			RETVAL=$((RETVAL+1))
+		fi
+	done
+}
+
 check_compat_func asprintf
 check_compat_func get_current_dir_name
 check_compat_func getline
@@ -24,5 +35,7 @@
 check_compat_func strnstr
 check_compat_func vasprintf
 check_compat_func vdprintf
+check_compat_func UNUSED
+check_compat_macro _PACKED
 
 exit $RETVAL